<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:aop="http://www.springframework.org/schema/aop"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop.xsd">

    <bean id="appstatus" class="net.sf.appstatus.core.AppStatus" init-method="init">
        <property name="objectInstanciationListener">
            <bean class="net.sf.appstatus.support.spring.SpringObjectInstantiationListener" />
        </property>
        <property name="serviceManager" ref="serviceManager" />
        <property name="checkers">
            <list>
                <bean class="net.sf.appstatus.core.check.impl.JvmCheck" />
                <bean class="net.sf.appstatus.core.check.impl.ServicesPerformanceCheck" />
                <bean class="net.sf.appstatus.core.check.impl.ServicesFailureCheck" />
            </list>
        </property>
        <property name="propertyProviders">
            <list>
                <bean class="net.sf.appstatus.core.property.impl.JvmPropertyProvider" />
                <bean class="net.sf.appstatus.core.property.impl.WarMavenVersionProvider" />
<!--                 <bean class="fr.ge.exchange.support.appstatus.PropertyProvider"> -->
<!--                     <property name="properties" ref="appProperties" /> -->
<!--                 </bean> -->
            </list>
        </property>
    </bean>

    <bean id="serviceManager" class="net.sf.appstatus.services.InProcessServiceManager">
        <property name="configuration">
            <props>
                <prop key="services.useThreadLocal">true</prop>
                <prop key="services.minMaxDelay">10</prop>
            </props>
        </property>
    </bean>

    <bean id="appStatusInterceptor" class="net.sf.appstatus.support.aop.AppStatusServiceInterceptor">
        <property name="serviceManager" ref="serviceManager" />
    </bean>

    <aop:config proxy-target-class="false">
        <aop:advisor advice-ref="appStatusInterceptor" pointcut="execution(public * fr.ge.exchange.webclient.controller..*.*(..))" />
    </aop:config>

</beans>
